=== debian/changelog ===
bfh-metapackages (20211009-38) sid; urgency=medium

  * Adding gnome-shell-extension-manager to bfh-gnome-desktop depends.
  * Adding gnome-shell-extension-no-annoyance to bfh-gnome-desktop
    depends.

 -- Daniel Baumann <daniel@debian.org>  Tue, 29 Jul 2025 15:30:48 +0200

bfh-metapackages (20211009-37) sid; urgency=medium

  * Adding haveged to bfh-host depends.

 -- Daniel Baumann <daniel@debian.org>  Tue, 15 Jul 2025 17:10:38 +0200

bfh-metapackages (20211009-36) sid; urgency=medium

  * Adding bfh-python-server in control (disabled for now).
  * Adding bfh-r-server in control (disabled for now).

 -- Daniel Baumann <daniel@debian.org>  Sun, 06 Jul 2025 09:46:25 +0200

bfh-metapackages (20211009-35) sid; urgency=medium

  * Adding open-infrastructure-openssh-tools to bfh-base-system suggests.
  * Adding firmware-linux to bfh-host suggests.
  * Adding firmware-intel-misc to bfh-host suggests.
  * Removing liferea from bfh-desktop depends.
  * Removing deluge from bfh-desktop suggests.

 -- Daniel Baumann <daniel@debian.org>  Wed, 25 Jun 2025 21:42:05 +0200

bfh-metapackages (20211009-34) sid; urgency=medium

  * Removing netdata from bfh-container-server recommends (see #1106233
    and #1107082).

 -- Daniel Baumann <daniel@debian.org>  Mon, 02 Jun 2025 06:16:05 +0200

bfh-metapackages (20211009-33) sid; urgency=medium

  * Updating open-infrastructure-compute-tools depends.
  * Marking lnav depends as non-armel and non-armhf only, thanks to Adrian
    Bunk <bunk@debian.org> (Closes: #1102555).

 -- Daniel Baumann <daniel@debian.org>  Fri, 11 Apr 2025 16:02:07 +0200

bfh-metapackages (20211009-32) sid; urgency=medium

  * Uploading to sid.
  * Applying patch from Helmut Grohne <helmut@subdivi.de> to fix --rename
    flags on duplicated diversions (DEP17 M18, Closes: #1092955).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 16 Jan 2025 06:47:00 +0100

bfh-metapackages (20211009-31) sid; urgency=medium

  * Uploading to sid.
  * Using consolation instead of gpm.
  * Dropping gimp on s390x in bfh-desktop depends (Closes: #1089737).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 12 Dec 2024 18:07:25 +0100

bfh-metapackages (20211009-30) sid; urgency=medium

  * Uploading to sid.
  * Removing gimp-plugin-registry from bfh-gnome-desktop depends (Closes:
    #1088059).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 22 Nov 2024 20:05:54 +0100

bfh-metapackages (20211009-29) sid; urgency=medium

  * Uploading to sid.
  * Moving from knot-resolver to systemd-resolved.
  * Removing repends to inkscape-symbols in bfh-desktop depends.
  * Re-including thunderbird on i386 in bfh-desktop depends.
  * Removing virtualbox-qt in bfh-desktop suggests.
  * Adding pavucontrol in bfh-gnome-desktop depends.
  * Moving gnome-shell-extensions-extra from bfh-gnome-desktop suggests to
    depends.
  * Adding vim-nftables to bfh-base-system suggests.
  * Removing plymouth from bfh-base-system depends.
  * Adding intel firmware packages to bfh-host suggests.
  * Wrap and sorting control file.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 04 Oct 2024 09:41:42 +0200

bfh-metapackages (20211009-28) sid; urgency=medium

  * Uploading to sid.
  * Removing debootstrap as alternative in bfh-container-server depends.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 04 Oct 2024 09:09:47 +0200

bfh-metapackages (20211009-27) sid; urgency=medium

  * Uploading to sid.
  * Also removing dropped gnome-shell-extension-bluetooth-quick-connect
    from bfh-gnome-desktop depends.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 28 Jul 2024 16:09:29 +0200

bfh-metapackages (20211009-26) sid; urgency=medium

  * Uploading to sid.
  * Removing gnome-shell-extension-no-annoyance from bfh-gnome-desktop
    depends (Closes: #1052556).
  * Moving files to /usr (Closes: #1073728).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 27 Jul 2024 00:39:11 +0200

bfh-metapackages (20211009-25) sid; urgency=medium

  * Uploading to sid.
  * Updating copyright for 2024.
  * Updating to standards-version 4.7.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 27 Jul 2024 00:13:49 +0200

bfh-metapackages (20211009-24) sid; urgency=medium

  * Uploading to sid.
  * Applying patch from Helmut Grohne <helmut@subdivi.de> to delete
    /usr/lib/container/divert on package removal.
  * Cosmetically harmonizing directory cleanup in progress-linux
    maintainer scripts for better readability.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 23 Dec 2023 08:39:55 +0100

bfh-metapackages (20211009-23) sid; urgency=medium

  * Uploading to sid.
  * Applying patch from Helmut Grohne <helmut@subdivi.de> to delete
    /usr/lib/container/divert on package removal.
  * Cosmetically harmonizing directory cleanup in progress-linux
    maintainer scripts for better readability.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 23 Dec 2023 08:39:41 +0100

bfh-metapackages (20211009-22) experimental; urgency=medium

  * Uploading to experimental.
  * Applying patch from Helmut Grohne <helmut@subdivi.de> to duplicate
    diversion via DEP17 M18 (Closes: #1055509).
  * Cosmetically harmonizing diversion handling in bfh-container
    maintainer scripts for better readability.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 20 Dec 2023 11:12:25 +0100

bfh-metapackages (20211009-21) sid; urgency=medium

  * Uploading to sid.
  * Adding ipcalc-ng to bfh-base-system dependencies.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 11 Oct 2023 11:26:46 +0200

bfh-metapackages (20211009-20) sid; urgency=medium

  * Uploading to sid.
  * Adding conflicts/replaces against progress-linux-container (Closes:
    #1034911).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 03 May 2023 11:21:33 +0200

bfh-metapackages (20211009-19) sid; urgency=medium

  * Uploading to sid.

