=== debian/control ===
Source: bfh-metapackages
Section: metapackages
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Build-Depends:
 debhelper-compat (= 13),
 python3-docutils,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://bfh.science
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/bfh-metapackages
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/bfh-metapackages

Package: bfh-base-system
Section: metapackages
Architecture: any
Depends:
 ${misc:Depends},
 task-ssh-server,
# bash
 bash-completion,
 powerline,
 powerline-gitstatus,
# debian
 apt-utils,
 debconf-utils,
 needrestart,
# knot
 knot-dnsutils,
 knot-host,
# ldap
 sssd,
 sssd-tools,
 libnss-sss,
 libpam-sss,
# lzip
 plzip,
 tarlz,
 zutils,
# systemd
 libpam-systemd,
 systemd-resolved,
 systemd-oomd,
# other
 acl,
 bc,
 ca-certificates,
 gawk,
 git,
 gnupg,
 htop,
 ipcalc-ng,
 jq,
 less,
 lnav [!armel !armhf],
 lsb-release,
 lynx,
 man-db,
 mc,
 mtr-tiny,
 openssl,
 psmisc,
 python3,
 ptpython,
 rsync,
 screen,
 sudo,
 tcpdump,
 traceroute,
 vim,
 wget,
 whois,
 zstd,
Suggests:
 ldap-utils,
 open-infrastructure-openssh-tools,
 vim-nftables,
Description: BFH - Base System Metapackage
 Bern University of Applied Sciences (BFH) provides Debian-based images and
 systems to its users and everyone else interested in the form of a Debian
 Derrivative.
 .
 This package is a metapackage defining the package selection for the
 BFH Base System.

Package: bfh-container
Section: metapackages
Architecture: all
Depends:
 ${misc:Depends},
 bfh-base-system,
# systemd
 dbus,
 polkitd,
 systemd-sysv,
Conflicts:
 molly-guard,
 progress-linux-container,
Replaces:
 molly-guard,
 progress-linux-container,
Enhances:
 bfh-base-system,
Description: BFH - Container Metapackage
 Bern University of Applied Sciences (BFH) provides Debian-based images and
 systems to its users and everyone else interested in the form of a Debian
 Derrivative.
 .
 This package is a metapackage to be installed in a container (systemd-nspawn).

Package: bfh-host
Section: metapackages
Architecture: any
Depends:
 ${misc:Depends},
 bfh-base-system,
# cryptsetup
 cryptsetup-bin,
 keyutils,
# firmware-free
 firmware-linux-free,
# monitoring
 spectre-meltdown-checker,
# other
 consolation,
 console-setup,
 dmidecode [amd64 arm64],
 ethtool,
 haveged,
 hdparm,
 nvme-cli,
 parted,
 smartmontools,
 systemd-timesyncd,
Suggests:
# bash
 fonts-powerline-extra,
# firmware-nonfree (non-free)
 firmware-linux,
 firmware-linux-nonfree,
 firmware-misc-nonfree,
 firmware-intel-misc,
# firmware (non-free)
 firmware-ast,
# microcode (contrib, non-free)
 iucode-tool,
 amd64-microcode,
 intel-microcode,
# other (third-party)
 supermicro-ipmicfg,
 intel-x710-firmware,
 intel-e810-firmware,
Enhances:
 bfh-base-system,
Description: BFH - Host Metapackage
 Bern University of Applied Sciences (BFH) provides Debian-based images and
 systems to its users and everyone else interested in the form of a Debian
 Derrivative.
 .
 This package is a metapackage to be installed on a host system (physical or
 virtual).

Package: bfh-desktop
Section: metapackages
Architecture: any
Depends:
 ${misc:Depends},
 bfh-base-system,
 task-desktop,
 task-laptop,
 cups,
# bash
 fonts-powerline,
# firefox
 firefox | firefox-esr | www-browser,
 webext-foxyproxy,
 webext-privacy-badger,
 webext-ublock-origin-firefox,
# filesystems
 dosfstools,
 exfatprogs,
 nfs-common,
 ntfs-3g,
 samba-common,
 sshfs,
# gimp
 gimp [!s390x],
# inkscape
 inkscape,
# network-manager
 network-manager-config-connectivity-debian,
 network-manager-ssh,
# thunderbird
 thunderbird [amd64 arm64],
# zip
 unzip,
 zip,
# other
 apg,
 nwipe,
 symlinks,
Suggests:
# virtualbox (contrib, non-free)
 virtualbox,
 virtualbox-dkms,
 virtualbox-ext-pack,
Enhances:
 bfh-base-system,
Description: BFH - Desktop Metapackage
 Bern University of Applied Sciences (BFH) provides Debian-based images and
 systems to its users and everyone else interested in the form of a Debian
 Derrivative.
 .
 This package is a metapackage to be installed on a desktop.

Package: bfh-gnome-desktop
Section: metapackages
Architecture: all
Depends:
 ${misc:Depends},
 bfh-desktop,
 task-gnome-desktop,
# gnome
 pavucontrol,
# gnome-shell-extensions
 gnome-shell-extension-manager,
 gnome-shell-extensions-extra,
 gnome-shell-extension-impatience,
 gnome-shell-extension-no-annoyance,
# nautilus
 nautilus-admin,
# network-manager
 network-manager-ssh-gnome,
Enhances:
 bfh-base-system,
 bfh-desktop,
Description: BFH - GNOME Desktop Metapackage
 Bern University of Applied Sciences (BFH) provides Debian-based images and
 systems to its users and everyone else interested in the form of a Debian
 Derrivative.
 .
 This package is a metapackage defining the package selection for the
 BFH GNOME Desktop.

Package: bfh-server
Section: metapackages
Architecture: all
Depends:
 ${misc:Depends},
 bfh-base-system,
# other
 localepurge,
 logrotate,
 molly-guard | bfh-container,
 postfix,
 safe-rm,
Breaks:
 exim4-config,
Enhances:
 bfh-base-system,
Description: BFH - Server Metapackage
 Bern University of Applied Sciences (BFH) provides Debian-based images and
 systems to its users and everyone else interested in the form of a Debian
 Derrivative.
 .
 This package is a metapackage to be installed on a server.

Package: bfh-container-server
Section: metapackages
Architecture: all
Depends:
 ${misc:Depends},
 bfh-server,
# container-tools
 open-infrastructure-compute-tools,
 curl,
 mmdebstrap,
 irker,
 pv,
 bridge-utils,
# other
 lldpd,
 numad,
Suggests:
 ttyd,
Enhances:
 bfh-base-system,
 bfh-server,
Description: BFH - Container Server Metapackage
 Bern University of Applied Sciences (BFH) provides Debian-based images and
 systems to its users and everyone else interested in the form of a Debian
 Derrivative.
 .
 This package is a metapackage defining the package selection for the
 BFH Container Server.

#Package: bfh-python-server
#Section: metapackages
#Architecture: all
#Depends:
# ${misc:Depends},
# bfh-server,
## Python
# python3-full,
## Python modules
# python3-pip,
# python3-virtualenv,
## Python tools
# ptpython,
#Enhances:
# bfh-base-system,
# bfh-server,
#Description: BFH - Python Server Metapackage
# Bern University of Applied Sciences (BFH) provides Debian-based images and
# systems to its users and everyone else interested in the form of a Debian
# Derrivative.
# .
# This package is a metapackage defining the package selection for the
# BFH Python Server.

#Package: bfh-r-server
#Section: metapackages
#Architecture: all
#Depends:
# ${misc:Depends},
# bfh-server,
## R
# r-base,
# r-base-html,
# r-doc-html,
## R packages
# build-essential,
# libssl-dev,
# libblas-dev,
# liblapack-dev,
# gfortran,
## R tools
# littler,
#Enhances:
# bfh-base-system,
# bfh-server,
#Description: BFH - R Server Metapackage
# Bern University of Applied Sciences (BFH) provides Debian-based images and
# systems to its users and everyone else interested in the form of a Debian
# Derrivative.
# .
# This package is a metapackage defining the package selection for the
# BFH R Server.
