## bfh-metapackages 20260205

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # BFH metapackages
 
-# Copyright (C) 2013-2021 Daniel Baumann <daniel@debian.org>
+# Copyright (C) 2006-2026 Daniel Baumann <daniel@debian.org>
 #
 # SPDX-License-Identifier: GPL-3.0+
 #
@@ -20,19 +20,18 @@
 SHELL := sh -e
 
 PROJECT := bfh-metapackages
+VERSION := $(shell cat VERSION.txt)
 
 all: build
 
 clean: clean-man
 
 clean-man:
-	# clean man
 	$(MAKE) -C man clean
 
 build: build-man
 
 build-man:
-	# build man
 	$(MAKE) -C man build
 
 test:
@@ -41,12 +40,10 @@
 install: install-doc install-man
 
 install-doc:
-	# install doc
 	mkdir -p $(DESTDIR)/usr/share/doc/$(PROJECT)
 	cp *.txt $(DESTDIR)/usr/share/doc/$(PROJECT)
 
-install-man:
-	# install man
+install-man: build-man
 	for SECTION in $$(seq 1 8); \
 	do \
 		if ls man/*.$${SECTION} > /dev/null 2>&1; \
@@ -57,13 +54,13 @@
 	done
 
 uninstall: uninstall-doc uninstall-man
+	rmdir --ignore-fail-on-non-empty $(DESTDIR) || true
 
 uninstall-doc:
-	# uninstall doc
 	rm -rf $(DESTDIR)/usr/share/doc/$(PROJECT)
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/doc || true
 
 uninstall-man:
-	# uninstall man
 	for SECTION in $$(seq 1 8); \
 	do \
 		for FILE in man/*.$${SECTION}; \
@@ -74,3 +71,24 @@
 	done
 
 reinstall: clean uninstall build install
+
+release: clean
+	git commit -a -s -S -m 'Releasing version $(VERSION).' || true
+	git tag -s -m 'Tagging version $(VERSION).' v$(VERSION) || true
+
+	mkdir -p $(PROJECT)-$(VERSION)
+	find . -mindepth 1 -maxdepth 1 -and -not -name ".git*" -and -not -name debian -and -not -name $(PROJECT)-$(VERSION) -exec cp \-a {} $(PROJECT)-$(VERSION) \;
+
+	for FORMAT in xz lzip; \
+	do \
+		EXTENSION=$$(echo $${FORMAT} | cut -b-2); \
+		tar --$${FORMAT} -cf ../$(PROJECT)-$(VERSION).tar.$${EXTENSION} $(PROJECT)-$(VERSION); \
+		sha512sum ../$(PROJECT)-$(VERSION).tar.$${EXTENSION} > ../$(PROJECT)-$(VERSION).tar.$${EXTENSION}.sha512; \
+		gpg --default-key 00xFBB4F0E80A80222 --armor -b ../$(PROJECT)-$(VERSION).tar.$${EXTENSION}; \
+		mv ../$(PROJECT)-$(VERSION).tar.$${EXTENSION}.asc ../$(PROJECT)-$(VERSION).tar.$${EXTENSION}.sig; \
+	done
+
+	rm -rf $(PROJECT)-$(VERSION)
+
+upload:
+	scp ../$(PROJECT)-$(VERSION).* apt.progress-linux.org:/srv/apt.progress-linux.org/archive/upstream/$(PROJECT)
