=== man/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # BFH metapackages
 
-# Copyright (C) 2013-2021 Daniel Baumann <daniel@debian.org>
+# Copyright (C) 2006-2026 Daniel Baumann <daniel@debian.org>
 #
 # SPDX-License-Identifier: GPL-3.0+
 #
