=== debian/changelog ===
bfh-metapackages (20260205-3) sid; urgency=medium

  * Aborting on errors in rules.
  * Adding numactl to bfh-container-server depends.
  * Correcting various typos in changelog.
  * Updating watch file.

 -- Daniel Baumann <daniel@debian.org>  Wed, 25 Feb 2026 08:36:45 +0100

bfh-metapackages (20260205-2) sid; urgency=medium

  * Adding watch file.

 -- Daniel Baumann <daniel@debian.org>  Thu, 05 Feb 2026 15:50:48 +0100

bfh-metapackages (20260205-1) sid; urgency=medium

  * Merging upstream version 20260205.
  * Adding ncdu to bfh-base-system.
  * Harmonizing email addresses.
  * Removing Rules-Requires-Root, not needed anymore.
  * Updating to standards version 4.7.3.
  * Updating vcs fields.
  * Updating copyright file.
  * Updating upstream sigining-key.
  * Removing dh_movetousr and directly using directories in /usr (Closes:
    #1122747).
  * Removing pre-trixie usr-is-merged handling.
  * Removing now unused pm divertions.

 -- Daniel Baumann <daniel@debian.org>  Thu, 05 Feb 2026 15:22:23 +0100
