=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: bfh-metapackages
 Section: metapackages
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
+Maintainer: Daniel Baumann <daniel@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  python3-docutils,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://bfh.science
-Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/bfh-metapackages
-Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/bfh-metapackages
+Vcs-Browser: https://git.progress-linux.org/debian/bfh-metapackages
+Vcs-Git: https://git.progress-linux.org/debian/bfh-metapackages
 
 Package: bfh-base-system
 Section: metapackages
@@ -58,6 +57,7 @@
  man-db,
  mc,
  mtr-tiny,
+ ncdu,
  openssl,
  psmisc,
  python3,
@@ -280,6 +280,7 @@
  bridge-utils,
 # other
  lldpd,
+ numactl,
  numad,
 Suggests:
  ttyd,
