=== debian/rules ===
#!/usr/bin/make -f

SHELL := sh -e

%:
	dh ${@}

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/bfh-base-system

execute_after_dh_auto_install:
	# shutdown
	mkdir -p debian/bfh-container/usr/sbin
	for FILE in halt poweroff reboot shutdown coldreboot; \
	do \
		cp debian/local/shutdown debian/bfh-container/usr/sbin/$${FILE}; \
	done

	mkdir -p debian/bfh-container/usr/share/container
	cp debian/local/shutdown.txt debian/bfh-container/usr/share/container

	# removing useless files
	rm -f debian/tmp/usr/share/doc/*/CHANGELOG.txt
	rm -f debian/tmp/usr/share/doc/*/LICENSE.txt
	rm -f debian/tmp/usr/share/doc/*/VERSION.txt
